'use strict';

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

module.exports = class ServerListenerPlugin {

  constructor(serverManager) {
    this.serverManager = serverManager;

    ['SIGINT', 'SIGTERM'].forEach(signal => process.on(signal, () => this.serverManager.close()));
  }

  apply(compiler) {
    var _this = this;

    // probably this isn't a right place to do server management
    // but done does not care about async
    // and we have to wait on our server to listen
    // so when done is called in start.js we can be sure that when browser opens, it won't result in
    // error 504
    compiler.plugin('after-emit', (() => {
      var _ref = _asyncToGenerator(function* (compilation, cb) {
        const serverBundle = compilation.compiler.outputPath;
        const serverBuildPath = _path2.default.resolve(serverBundle, compiler.options.output.filename);

        const serverSource = Buffer.from(compilation.compiler.outputFileSystem.readFileSync(serverBuildPath)).toString('utf8');

        try {
          yield _this.serverManager.manage(serverSource, serverBundle);
        } catch (e) {
          // we don't care about errors, they are stored in internal state of ServerManager
        } finally {
          cb();
        }
      });

      return function (_x, _x2) {
        return _ref.apply(this, arguments);
      };
    })());
  }
};