'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _dotenv = require('dotenv');

var _dotenv2 = _interopRequireDefault(_dotenv);

var _fs = require('mz/fs');

var _path = require('path');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const NODE_ENV = process.env.NODE_ENV || 'development';

exports.default = (() => {
  var _ref = _asyncToGenerator(function* (workDir, envFileName = [`.env.${NODE_ENV}`, '.env', '.env.local']) {
    const envFilesContents = yield Promise.all(envFileName.map(function (filename) {
      return (0, _fs.readFile)((0, _path.resolve)(workDir, filename)).then(function (content) {
        return _dotenv2.default.parse(content);
      }).catch(function () {
        return {};
      });
    }));

    return Object.assign({}, ...envFilesContents);
  });

  function loadEnvVariables(_x) {
    return _ref.apply(this, arguments);
  }

  return loadEnvVariables;
})();

module.exports = exports['default'];