'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = printInstructions;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fs = require('fs');

var _path = require('path');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useYarn = (0, _fs.existsSync)((0, _path.resolve)(process.cwd(), './yarn.lock'));

function printInstructions({ lanUrlForTerminal, localUrlForTerminal }) {
  console.log();
  console.log(`You can now view your application in the browser.`);
  console.log();

  if (lanUrlForTerminal) {
    console.log(`  ${_chalk2.default.bold('Local:')}            ${localUrlForTerminal}`);
    console.log(`  ${_chalk2.default.bold('On Your Network:')}  ${lanUrlForTerminal}`);
  } else {
    console.log(`  ${localUrlForTerminal}`);
  }

  console.log();
  console.log('');
  console.log(`
${_chalk2.default.yellow('Note that the development build is not optimized.')}

To create a production build use ${_chalk2.default.cyan(useYarn ? 'yarn spust build' : 'node ./node_modules/.bin/spust build')}
    `.trim());
  console.log();
}
module.exports = exports['default'];